{% extends 'navbar.html' %}
{% block content %}

    <br>
    <h1>List of Message</h1>
    <br>

    <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">From</th>
            <th scope="col">To</th>
            <th scope="col">Title</th>
            <th scope="col">Message</th>
          </tr>
        </thead>
        <tbody>
            {% for note in list_note %}
            <tr>
              <td>{{ note.penerima }}</td>
              <td>{{ note.pengirim }}</td>
              <td>{{ note.title }}</td>
              <td>{{ note.message }}</td>
            </tr>
            {% endfor %}
          </tbody>
      </table>

      <!-- Button trigger modal -->
    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal" >
      Add new message
    </button>

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Create new Note</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>

          <div class="modal-body">
            <form action="{% url 'lab4:add_message' %}" method="post">
              {% csrf_token %}
              <div class="mb-3">
                <label for="title" class="form-label">Title</label>
                <input type="text" class="form-control" id="title" name="title">
              </div>
              <div class="mb-3">
                <label for="pengirim" class="form-label">From</label>
                <input type="text" class="form-control" id="pengirim" name="pengirim">
              </div>
              <div class="mb-3">
                <label for="penerima" class="form-label">To</label>
                <input type="text" class="form-control" id="penerima" name="penerima">
              </div>
              <div class="mb-3">
                <label for="message" class="form-label">Message</label>
                <input type="text" class="form-control" id="message" name="message">
              </div>
              <button type="submit" class="btn btn-primary">Submit</button>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
  </div>

{% endblock content %}